public inbox for linux-kernel@vger.kernel.org
 help / color / mirror / Atom feed
From: Masami Hiramatsu <mhiramat@kernel.org>
To: Shuah Khan <shuah@kernel.org>, Steven Rostedt <rostedt@goodmis.org>
Cc: Ingo Molnar <mingo@redhat.com>,
	Masami Hiramatsu <mhiramat@kernel.org>,
	linux-kselftest@vger.kernel.org, linux-kernel@vger.kernel.org
Subject: [PATCH v3 27/28] selftests/ftrace: Add wakeup_rt tracer testcase
Date: Thu, 30 Aug 2018 23:25:11 +0900	[thread overview]
Message-ID: <153563911084.29700.11577853607938050611.stgit@devbox> (raw)
In-Reply-To: <153563834333.29700.11242968505215651399.stgit@devbox>

Add a testcase for wakeup_rt tracer. This requires chrt
command to test.

Signed-off-by: Masami Hiramatsu <mhiramat@kernel.org>
---
 Changes in v3:
 - Check "chrt" command exist correctly.
 - Use "wakeup_rt" tracer correctly.
---
 .../selftests/ftrace/test.d/tracer/wakeup_rt.tc    |   25 ++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100644 tools/testing/selftests/ftrace/test.d/tracer/wakeup_rt.tc

diff --git a/tools/testing/selftests/ftrace/test.d/tracer/wakeup_rt.tc b/tools/testing/selftests/ftrace/test.d/tracer/wakeup_rt.tc
new file mode 100644
index 000000000000..f99b5178e00a
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/tracer/wakeup_rt.tc
@@ -0,0 +1,25 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL2.0
+# description: Test wakeup RT tracer
+
+if ! which chrt ; then
+  echo "chrt is not found. This test requires chrt command."
+  exit_unresolved
+fi
+
+if ! grep -wq "wakeup_rt" available_tracers ; then
+  echo "wakeup_rt tracer is not supported"
+  exit_unsupported
+fi
+
+echo wakeup_rt > current_tracer
+echo 1 > tracing_on
+echo 0 > tracing_max_latency
+
+: "Wakeup a realtime task"
+chrt -f 5 sleep 1
+
+echo 0 > tracing_on
+grep "+ \[[[:digit:]]*\]" trace
+grep "==> \[[[:digit:]]*\]" trace
+


  parent reply	other threads:[~2018-08-30 14:25 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-30 14:12 [PATCH v3 00/28] selftests/ftrace: Improve ftracetest with coverage check Masami Hiramatsu
2018-08-30 14:12 ` [PATCH v3 01/28] selftests/ftrace: Add --stop-fail hidden option for debug Masami Hiramatsu
2018-08-30 14:13 ` [PATCH v3 02/28] selftests/ftrace: Add --console hidden option Masami Hiramatsu
2018-08-30 14:13 ` [PATCH v3 03/28] selftests/ftrace: Add case number prefix to logfile Masami Hiramatsu
2018-08-30 14:14 ` [PATCH v3 04/28] selftests/ftrace: More initialize features in initialize_ftrace Masami Hiramatsu
2018-08-30 14:14 ` [PATCH v3 05/28] selftests/ftrace: Add SPDX License Identifier to template Masami Hiramatsu
2018-08-30 14:15 ` [PATCH v3 06/28] selftests/ftrace: Cleanup ftrace after running test Masami Hiramatsu
2018-08-30 14:15 ` [PATCH v3 07/28] selftests/ftrace: Remove unneeded per-test init/cleanup ftrace Masami Hiramatsu
2018-08-30 14:16 ` [PATCH v3 08/28] selftests/ftrace: Fix to test kprobe $comm arg only if available Masami Hiramatsu
2018-08-30 14:16 ` [PATCH v3 09/28] selftests/ftrace: Fix checkbashisms errors Masami Hiramatsu
2018-08-30 14:17 ` [PATCH v3 10/28] selftests/ftrace: Use loopback address instead of localhost Masami Hiramatsu
2018-08-30 14:17 ` [PATCH v3 11/28] selftests/ftrace: Improve kprobe on module testcase to load/unload module Masami Hiramatsu
2018-08-30 14:18 ` [PATCH v3 12/28] selftests/ftrace: Improve kprobe testcase to check log data Masami Hiramatsu
2018-08-30 14:18 ` [PATCH v3 13/28] selftests/ftrace: Improve kretprobe " Masami Hiramatsu
2018-08-30 14:19 ` [PATCH v3 14/28] selftests/ftrace: Test kprobe-event argument with various bitsize Masami Hiramatsu
2018-08-30 14:19 ` [PATCH v3 15/28] selftests/ftrace: Check set_event_pid result Masami Hiramatsu
2018-08-30 14:19 ` [PATCH v3 16/28] selftests/ftrace: Add kprobe event with $comm argument testcase Masami Hiramatsu
2018-08-30 14:20 ` [PATCH v3 17/28] selftests/ftrace: Add kprobe profile testcase Masami Hiramatsu
2018-08-30 14:20 ` [PATCH v3 18/28] selftests/ftrace: Add kprobe-event with symbol argument test Masami Hiramatsu
2018-08-30 14:21 ` [PATCH v3 19/28] selftests/ftrace: Add trace_printk sample module test Masami Hiramatsu
2018-08-30 14:21 ` [PATCH v3 20/28] selftests/ftrace: Add ringbuffer size changing testcase Masami Hiramatsu
2018-08-30 14:22 ` [PATCH v3 21/28] selftests/ftrace: Add function profiling stat testcase Masami Hiramatsu
2018-08-30 14:22 ` [PATCH v3 22/28] selftests/ftrace: Add max stack tracer testcase Masami Hiramatsu
2018-08-30 14:23 ` [PATCH v3 23/28] selftests/ftrace: Add function filter on module testcase Masami Hiramatsu
2018-08-30 14:23 ` [PATCH v3 24/28] selftests/ftrace: Add trace_pipe testcase Masami Hiramatsu
2018-08-30 14:24 ` [PATCH v3 25/28] selftests/ftrace: Add stacktrace ftrace filter command testcase Masami Hiramatsu
2018-08-30 14:24 ` [PATCH v3 26/28] selftests/ftrace: Add wakeup tracer testcase Masami Hiramatsu
2018-08-30 14:25 ` Masami Hiramatsu [this message]
2018-08-30 14:25 ` [PATCH v3 28/28] selftests/ftrace: Add ftrace cpumask testcase Masami Hiramatsu
2018-09-12  9:57 ` [PATCH v3 00/28] selftests/ftrace: Improve ftracetest with coverage check Masami Hiramatsu
2018-09-21 21:24 ` Shuah Khan
2018-09-27 22:49   ` Masami Hiramatsu

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=153563911084.29700.11577853607938050611.stgit@devbox \
    --to=mhiramat@kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-kselftest@vger.kernel.org \
    --cc=mingo@redhat.com \
    --cc=rostedt@goodmis.org \
    --cc=shuah@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox